/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */
package org.jfox.examples.ejb.protocol;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public interface TestProtocol extends EJBObject {

    public String invokeByJRMP() throws RemoteException;

    public String invokeByJRMP_SSL() throws RemoteException;

    public String invokeBySOAP() throws RemoteException;

    public String invokeByLOCAL() throws RemoteException;

}
